#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# Copyright (c) 2007-2008 Christian Dannie Storgaard
#
# AUTHOR:
# Christian Dannie Storgaard <cybolic@gmail.com>

import os, subprocess, sys, re

if 'WINEPREFIX' not in os.environ:
	os.environ['WINEPREFIX'] = os.path.expanduser("~/.wine")

import _registry
import _programs
import _version
import _bottles
import _drives
import _windows
import _audio
import _graphics
import _shellfolders
import _libraries
import desktop
import icons

_openargs = []

VERSION = subprocess.Popen(["wine", "--version"], stdout=subprocess.PIPE, stderr=subprocess.PIPE).communicate()[0].split("wine-")[1].strip()

for module in [_programs, _registry, _version, _bottles, _drives, _windows, _audio, _graphics, _shellfolders, _libraries]:
	if module.__name__ == 'wine._shellfolders':
		exec( '%s = module.ShellFolders()' % ( module.__name__.split('._')[1] ) )
	else:
		exec( '%s = module.%s()' % ( module.__name__.split('._')[1], module.__name__.split('._')[1].capitalize() ) )
	exec( '%s.VERSION = VERSION' % ( module.__name__.split('._')[1] ) )

def checkSetup():
	"""
		Check whether the Wine installation has been created.
		Returns True or False
	"""
	paths = [
		#The user profile directory isn't created by Wine until an application actually shoves something in there.
		#"%s/dosdevices/c:/windows/profiles/%s" % (self.env['WINEPREFIX'], self.env['USER']),
		"%s/dosdevices/c:/windows/system32" % os.environ['WINEPREFIX'],
		"%s/system.reg" % os.environ['WINEPREFIX'],
		"%s/userdef.reg" % os.environ['WINEPREFIX'],
		"%s/user.reg" % os.environ['WINEPREFIX'],
	]
	return all([os.path.exists(path) for path in paths])

def getProgramName(exe):
	description = subprocess.Popen(["grep", "-ae", "<description>", exe], stdout=subprocess.PIPE, env=os.environ).communicate()[0]
	if description.strip():
		print description.split("<description>")[1].split("</description>")[0]
	else:
		print " ".join([ i.capitalize() for i in os.path.basename(exe)[:-4].split(" ") ])

def run(exe):
	ext = re.search(r'(?i).*\.(\w{3,4})', exe)
	if ext:
		ext = ext.groups()[0].lower()
	
	if exe.strip() == 'regedit':
		process = subprocess.Popen(['wine']+desktop._openargs+['regedit'], stdout=sys.stdout, stderr=sys.stderr, env=os.environ)
	elif exe.strip() == 'cmd':
		process = subprocess.Popen(['wine']+desktop._openargs+['wineconsole', '--backend=user', 'cmd'], stdout=sys.stdout, stderr=sys.stderr, env=os.environ)
	elif ext == 'url':
		print "URL!"
		url = re.search(r'(?i).*(\w\:\\.*?.url)["\']?$', exe)
		if url:
			urlfilename = util.wintounix(url.groups()[0])
			urlfile = open(urlfilename, 'r')
			url = urlfile.readlines()
			urlfile.close()
			url = re.search(r'(?im)\[InternetShortcut\]\s+URL=(.*?)\s+?$', '\n'.join(url))
			if url:
				url = url.groups()[0]
				process = subprocess.Popen(['xdg-open', url], stdout=subprocess.PIPE, stderr=subprocess.PIPE, env=os.environ)
	elif exe.startswith('env') or exe.startswith('wine '):
		process = subprocess.Popen(exe.replace('wine ', 'wine %s %s' % (desktop._openargs, [exe])), stdout=subprocess.PIPE, stderr=subprocess.PIPE, env=os.environ)
	elif ext == 'msi':
		process = subprocess.Popen(['wine']+desktop._openargs+['msiexec', '/i']+[exe], stdout=subprocess.PIPE, stderr=subprocess.PIPE, env=os.environ)
	else:
		process = subprocess.Popen(['wine']+desktop._openargs+[exe], stdout=subprocess.PIPE, stderr=subprocess.PIPE, env=os.environ)
	return process
