#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# Copyright (c) 2007-2008 Christian Dannie Storgaard
#
# AUTHOR:
# Christian Dannie Storgaard <cybolic@gmail.com>

import _registry

registry = _registry.Registry()

class Windows:
	def getDecoration(self):
		settings = registry.get('HKEY_USERS\S-1-5-4\Software\Wine\X11 Driver', quiet=True)
		if "Decorated" in settings and "n" in settings["Decorated"].lower():
			return False
		else:
			return True
	
	def setDecoration(self, state):
		if state:
			state = "Y"
		else:
			state = "N"
		registry.set({'HKEY_USERS\S-1-5-4\Software\Wine\X11 Driver': {"Decorated": state}})
	
	def getManaged(self):
		settings = registry.get('HKEY_USERS\S-1-5-4\Software\Wine\X11 Driver', quiet=True)
		if "Managed" in settings and "n" in settings["Managed"].lower():
			return False
		else:
			return True
	
	def setManaged(self, state):
		if state:
			state = "Y"
		else:
			state = "N"
		registry.set({'HKEY_USERS\S-1-5-4\Software\Wine\X11 Driver': {"Managed": state}})
	
	def getMouseGrab(self):
		settings = registry.get('HKEY_USERS\S-1-5-4\Software\Wine\X11 Driver', quiet=True)
		if "DXGrab" in settings and "n" in settings["DXGrab"].lower():
			return False
		else:
			return True
	
	def setMouseGrab(self, state):
		if state:
			state = "Y"
		else:
			state = "N"
		registry.set({'HKEY_USERS\S-1-5-4\Software\Wine\X11 Driver': {"DXGrab": state}})
