#!/usr/bin/env python

import os
from distutils.core import setup

setup( name = "vineyard",
       version = "0.1.4.1.2",
       description = "Easy to use Wine configuration program",
       maintainer = "Christian Dannie Storgaard",
       maintainer_email = "cybolic@gmail.com",
       url = "https://launchpad.net/vineyard",
       requires = ['wine (>=0.2.5)'],
       obsoletes = ['wine-preferences', 'nautilus-wine'],
       scripts = ['vineyard-preferences'],
       data_files = [
           ('/usr/share/vineyard', [
	       'data/vineyard-preferences.glade',
	       'data/cache.py'
	   ]),
           ('/usr/share/vineyard/widgets', [
               'data/widgets/%s' % i for i in os.listdir('data/widgets')
           ]),
           ('/usr/share/vineyard/docs', [
               'data/docs/%s' % i for i in os.listdir('data/docs')
           ]),
           ('/usr/share/man/man1', [
               'data/vineyard-preferences.1.gz'
           ]),
	       ('/usr/lib/nautilus/extensions-2.0/python', [
               'data/vineyard-configuration-selection.py',
               'data/vineyard-property-page.py'
           ]),
           ('/usr/share/applications', [
               'data/vineyard-preferences.desktop'
           ]),
           ('/usr/share/icons/hicolor/16x16/apps', [
               'data/icons/16/regedit.png',
               'data/icons/16/taskmgr.png',
               'data/icons/16/wcmd.png'
           ]),
           ('/usr/share/icons/hicolor/22x22/apps', [
               'data/icons/22/vineyard-preferences.svg',
               'data/icons/22/regedit.png',
               'data/icons/22/taskmgr.png',
               'data/icons/22/wcmd.svg'
           ]),
           ('/usr/share/icons/hicolor/32x32/apps', [
               'data/icons/32/vineyard-preferences.svg',
               'data/icons/32/regedit.png',
               'data/icons/32/taskmgr.png',
               'data/icons/32/wcmd.svg'
           ]),
           ('/usr/share/icons/hicolor/48x48/apps', [
               'data/icons/48/vineyard-preferences.svg',
               'data/icons/48/regedit.png',
               'data/icons/48/taskmgr.png',
               'data/icons/48/wcmd.svg'
           ]),
           ('/usr/share/vineyard/locale/da/LC_MESSAGES', ['data/locale/da/LC_MESSAGES/vineyard.mo']),
           ('/usr/share/vineyard/locale/bg/LC_MESSAGES', ['data/locale/bg/LC_MESSAGES/vineyard.mo'])
       ],
       license = "LGPL-2" )
