#!/bin/bash

name="python-wine"
dir="python-wine"

path="$(readlink -f "$(dirname "$0")/../")"
version="$(head "$path/$dir/debian/changelog" -n 1 | cut -d\( -f2 | cut -d\) -f1)"
sourceversion="$(echo $version | cut -d- -f1)"

sourcedir="$name"-"$sourceversion"
sourcetar="$name"_"$sourceversion.orig.tar.gz"

cd "$path"

echo -n "Copying the $name directory to /tmp..."
if [ -d "/tmp/$sourcedir" ]; then
	rm -R "/tmp/$sourcedir"
fi
cp -R "$dir" "/tmp/$sourcedir"
rm -R "/tmp/$sourcedir/.bzr"
echo " done."

cd /tmp

echo -n "Creating TAR.GZ archive of $name version $sourceversion..."
tar --exclude "$sourcedir/.bzr" --exclude "$sourcedir/.bzrignore" --exclude "$sourcedir/debian" -czf "$sourcetar" "$sourcedir"
cp "$sourcetar" "$sourcedir.tar.gz"
echo " done."

echo -n "Signing TAR.GZ archive..."
gpg --armor --sign --detach-sig "$sourcedir.tar.gz"
echo " done."

echo -n "Creating binary package of $name version $version..."
cd "$sourcedir"
debuild -sa
cd ..
echo " done."

echo -n "Creating source package of $name version $version..."
cd "$sourcedir"
debuild -S -sa
cd ..
echo " done."
